package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.Testaaaone;


/**
*  service接口类
*/
public interface TestaaaoneService{

    List<Testaaaone> getTestaaaoneList(Testaaaone record);

    List<Testaaaone> getTestaaaoneByPage(Page page, Testaaaone record);

    Testaaaone getTestaaaoneById(String id);

    Testaaaone getTestaaaone(Testaaaone record);

    boolean createTestaaaone(Testaaaone record);

    boolean deleteTestaaaone(String id);

    boolean updateTestaaaone(Testaaaone record);
}

